<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class RemoveEstampadoBarnizado extends Migration
{
    public function up()
    {
        $this->forge->dropColumn('presupuestos', 'barniz_cubierta_id');
        $this->forge->dropColumn('presupuestos', 'estampado_cubierta_id');
    }

    public function down()
    {
        $fields = [
            'barniz_cubierta_id' => [
                'type'       => 'INT',
                'constraint' => 10,
                'unsigned'   => true,
                'null'       => false,
                'default'    => 0,
            ],
            'estampado_cubierta_id' => [
                'type'       => 'INT',
                'constraint' => 10,
                'unsigned'   => true,
                'null'       => false,
                'default'    => 0,
            ],
        ];

        $this->forge->addColumn('presupuestos', $fields);
    }
}
